## org.eclipse.uml2.uml
Interface ParameterSet

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface ParameterSet

extends NamedElement

A representation of the model object 'Parameter Set'. A parameter set is an element that provides alternative sets of inputs or outputs that a behavior may use.

The following features are supported:

- `Parameter`
- `Condition`

See Also:
  `UMLPackage.getParameterSet()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Constraint` `createCondition(java.lang.String name)` Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Condition' containment reference list
`Constraint` `createCondition(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Condition' containment reference list
`Constraint` `getCondition(java.lang.String name)` Retrieves the first `Constraint` with the specified 'Name' from the 'Condition' containment reference list
`Constraint` `getCondition(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Constraint` with the specified 'Name' from the 'Condition' containment reference list
`org.eclipse.emf.common.util.EList<Constraint>` `getConditions()` Returns the value of the 'Condition' containment reference list.
`Parameter` `getParameter(java.lang.String name, Type type)` Retrieves the first `Parameter` with the specified 'Name', and 'Type' from the 'Parameter' reference list
`Parameter` `getParameter(java.lang.String name, Type type, boolean ignoreCase)` Retrieves the first `Parameter` with the specified 'Name', and 'Type' from the 'Parameter' reference list
`org.eclipse.emf.common.util.EList<Parameter>` `getParameters()` Returns the value of the 'Parameter' reference list.
`boolean` `validateInput(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If a behavior has input parameters that are in a parameter set, then any inputs that are not in a parameter set must be streaming.
`boolean` `validateSameParameterizedEntity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The parameters in a parameter set must all be inputs or all be outputs of the same parameterized entity, and the parameter set is owned by that entity.
`boolean` `validateTwoParameterSets(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Two parameter sets cannot have exactly the same set of parameters.

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParameters

    org.eclipse.emf.common.util.EList<Parameter> getParameters()

  Returns the value of the 'Parameter' reference list. The list contents are of type `Parameter`. It is bidirectional and its opposite is '`Parameter Set`'. Parameters in the parameter set.

  Returns:
    the value of the 'Parameter' reference list.
  See Also:
    `UMLPackage.getParameterSet_Parameter()`, `Parameter.getParameterSets()`

### getParameter

    Parameter getParameter(java.lang.String name,
                           Type type)

  Retrieves the first `Parameter` with the specified 'Name', and 'Type' from the 'Parameter' reference list.

  Parameters:
    `name` - The 'Name' of the `Parameter` to retrieve, or `null`.
    `type` - The 'Type' of the `Parameter` to retrieve, or `null`.
  Returns:
    The first `Parameter` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getParameters()`

### getParameter

    Parameter getParameter(java.lang.String name,
                           Type type,
                           boolean ignoreCase)

  Retrieves the first `Parameter` with the specified 'Name', and 'Type' from the 'Parameter' reference list.

  Parameters:
    `name` - The 'Name' of the `Parameter` to retrieve, or `null`.
    `type` - The 'Type' of the `Parameter` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `Parameter` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getParameters()`

### getConditions

    org.eclipse.emf.common.util.EList<Constraint> getConditions()

  Returns the value of the 'Condition' containment reference list. The list contents are of type `Constraint`. Constraint that should be satisfied for the owner of the parameters in an input parameter set to start execution using the values provided for those parameters, or the owner of the parameters in an output parameter set to end execution providing the values for those parameters, if all preconditions and conditions on input parameter sets were satisfied.

  Returns:
    the value of the 'Condition' containment reference list.
  See Also:
    `UMLPackage.getParameterSet_Condition()`

### createCondition

    Constraint createCondition(java.lang.String name,
                               org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Condition' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
    `eClass` - The Ecore class of the `Constraint` to create.
  Returns:
    The new `Constraint`.
  See Also:
    `getConditions()`

### createCondition

    Constraint createCondition(java.lang.String name)

  Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Condition' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
  Returns:
    The new `Constraint`.
  See Also:
    `getConditions()`

### getCondition

    Constraint getCondition(java.lang.String name)

  Retrieves the first `Constraint` with the specified 'Name' from the 'Condition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Constraint` to retrieve, or `null`.
  Returns:
    The first `Constraint` with the specified 'Name', or `null`.
  See Also:
    `getConditions()`

### getCondition

    Constraint getCondition(java.lang.String name,
                            boolean ignoreCase,
                            org.eclipse.emf.ecore.EClass eClass,
                            boolean createOnDemand)

  Retrieves the first `Constraint` with the specified 'Name' from the 'Condition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Constraint` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Constraint` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Constraint` on demand if not found.
  Returns:
    The first `Constraint` with the specified 'Name', or `null`.
  See Also:
    `getConditions()`

### validateSameParameterizedEntity

    boolean validateSameParameterizedEntity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  The parameters in a parameter set must all be inputs or all be outputs of the same parameterized entity, and the parameter set is owned by that entity. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateInput

    boolean validateInput(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                          java.util.Map<java.lang.Object,java.lang.Object> context)

  If a behavior has input parameters that are in a parameter set, then any inputs that are not in a parameter set must be streaming. Same for output parameters. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTwoParameterSets

    boolean validateTwoParameterSets(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  Two parameter sets cannot have exactly the same set of parameters. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.